using System;

namespace _200126___Lubenice
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split();
            ulong p = ulong.Parse(str[0]);
            ulong q = ulong.Parse(str[1]);
            ulong r = ulong.Parse(str[2]);
            ulong L = ulong.Parse(str[3]);
            ulong R = ulong.Parse(str[4]);
            ulong nBB = 0;

            for (ulong i = L; i <= R; i++)
            {
                ulong L1 = i / p;
                if (i % p != 0)
                    L1++;

                ulong L2 = i / q;
                if (i % q != 0)
                    L2++;

                ulong L3 = i / r;
                if (i % r != 0)
                    L3++;

                if ((L1 + L2 + L3) <= i)
                    nBB++;
            }

            Console.WriteLine(Convert.ToString(nBB));
        }
    }
}